package com.lanyuanxiaoyao.service.ai.knowledge.entity.vo;

/**
 * @author lanyuanxiaoyao
 * @version 20250516
 */
public class KnowledgeVO {
  private String id;
  private String name;
  private String strategy;
  private Long size;
  private Long points;
  private Long segments;
  private String status;
  private Long createdTime;
  private Long modifiedTime;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getStrategy() {
    return strategy;
  }

  public void setStrategy(String strategy) {
    this.strategy = strategy;
  }

  public Long getSize() {
    return size;
  }

  public void setSize(Long size) {
    this.size = size;
  }

  public Long getPoints() {
    return points;
  }

  public void setPoints(Long points) {
    this.points = points;
  }

  public Long getSegments() {
    return segments;
  }

  public void setSegments(Long segments) {
    this.segments = segments;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public Long getCreatedTime() {
    return createdTime;
  }

  public void setCreatedTime(Long createdTime) {
    this.createdTime = createdTime;
  }

  public Long getModifiedTime() {
    return modifiedTime;
  }

  public void setModifiedTime(Long modifiedTime) {
    this.modifiedTime = modifiedTime;
  }

  @Override
  public String toString() {
    return "KnowledgeVO{" +
           "id='" + id + '\'' +
           ", name='" + name + '\'' +
           ", strategy='" + strategy + '\'' +
           ", size=" + size +
           ", points=" + points +
           ", segments=" + segments +
           ", status='" + status + '\'' +
           ", createdTime=" + createdTime +
           ", modifiedTime=" + modifiedTime +
           '}';
  }
}
